Package org.eclipse.mat.parser.internal.util

# Class ParserRegistry.Parser

java.lang.Object
org.eclipse.mat.parser.internal.util.ParserRegistry.Parser

Direct Known Subclasses:
  `ParserRegistry.DynamicParser`

Enclosing class:
  ParserRegistry

public class ParserRegistry.Parser extends Object

## Method Summary

Modifier and Type
Method
Description
`<I> I`
`create(Class<I> type, String attribute)`
`String`
`getId()`
`SnapshotFormat`
`getSnapshotFormat()`
`String`
`getUniqueIdentifier()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getId

public String getId()

### getUniqueIdentifier

public String getUniqueIdentifier()

### getSnapshotFormat

public SnapshotFormat getSnapshotFormat()

### create

public <I> I create(Class<I> type, String attribute)